Package org.opensaml.saml.ext.saml2mdui.impl

# Class LogoImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.saml.saml2.metadata.impl.LocalizedURIImpl
org.opensaml.saml.ext.saml2mdui.impl.LogoImpl

All Implemented Interfaces:
  `LangBearing`, `XSURI`, `XMLObject`, `SAMLObject`, `Logo`, `LocalizedURI`

public class LogoImpl extends LocalizedURIImpl implements Logo
Concrete implementation of `Logo`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Integer`
`height`
Y-Dimension of the logo.
`private Integer`
`width`
X-Dimension of the logo.

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.LocalizedURI

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.ext.saml2mdui.Logo

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, HEIGHT_ATTR_NAME, TYPE_LOCAL_NAME, TYPE_NAME, WIDTH_ATTR_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LogoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
`Integer`
`getHeight()`
Get the height of the logo.
`Integer`
`getWidth()`
Get the width of the logo.
`int`
`hashCode()`
`void`
`setHeight(Integer newHeight)`
Sets the height of the logo.
`void`
`setWidth(Integer newWidth)`
Sets the width of the logo.

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.LocalizedURIImpl

`getXMLLang, setXMLLang`

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.LangBearing

`getXMLLang, setXMLLang`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### width

@Nullable private Integer width
X-Dimension of the logo.

### height

@Nullable private Integer height
Y-Dimension of the logo.

## Constructor Details

### LogoImpl

protected LogoImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespaceURI
  `elementLocalName` - elementLocalName
  `namespacePrefix` - namespacePrefix

## Method Details

### getHeight

@Nullable public Integer getHeight()
Get the height of the logo.

Specified by:
  `getHeight` in interface `Logo`
Returns:
  the height of the logo

### setHeight

public void setHeight(@Nullable Integer newHeight)
Sets the height of the logo.

Specified by:
  `setHeight` in interface `Logo`
Parameters:
  `newHeight` - the height of the logo

### getWidth

@Nullable public Integer getWidth()
Get the width of the logo.

Specified by:
  `getWidth` in interface `Logo`
Returns:
  the width of the logo

### setWidth

public void setWidth(@Nullable Integer newWidth)
Sets the width of the logo.

Specified by:
  `setWidth` in interface `Logo`
Parameters:
  `newWidth` - the height of the logo

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `LocalizedURIImpl`